/*
 *	Delay functions for C18 version 2.40
 *	See delay.h for details
 *
 * Source code downloaded from www.MicrochipC.com	
 *	 - see this site for 120+ more sample projects for the PIC micro.
 *
 *	Make sure this code is compiled with full optimization!!!
 */
#include <p18cxxx.h>
#include "delay.h"

void
DelayMs(unsigned char cnt)
{
#if	XTAL_FREQ <= 2MHZ
	do {
		DelayUs(996);
	} while(--cnt);
#endif

#if    XTAL_FREQ > 2MHZ	
	unsigned char	i;
	do {
		i = 4;
		do {
			DelayUs(250);
		} while(--i);
	} while(--cnt);
#endif
}
